#ifndef GENERIC_API__STAT_HH
#define GENERIC_API__STAT_HH

struct stat;

namespace GenericAPI
{
  int lstat_interupt( );
  int lstat_timeout( );

  int SetStatTimeout( int Value );

  int Stat( const std::string& Filename, struct stat& StatBuffer );
  int LStat( const std::string& Filename, struct stat& StatBuffer );

  inline int
  lstat_interupt( )
  {
    extern int init_lstat_interupt( );

    static const int retval = init_lstat_interupt( );

    return retval;
  }
}

#endif /* GENERIC_API__STAT_HH */
